org.apache.commons.math3.analysis.function

## Class Divide

- java.lang.Object
- - org.apache.commons.math3.analysis.function.Divide

- All Implemented Interfaces:
    BivariateFunction

      public class Divide
      extends java.lang.Object
      implements BivariateFunction

  Divide the first operand by the second.
  Since:
    3.0
  Version:
    $Id: Divide.java 1364377 2012-07-22 17:39:16Z tn $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Divide()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `value(double x, double y)` Compute the value for the function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Divide

          public Divide()

  - ### Method Detail

    - #### value

          public double value(double x,
                     double y)

      Compute the value for the function.
      Specified by:
        `value` in interface `BivariateFunction`
      Parameters:
        `x` - Abscissa for which the function value should be computed.
        `y` - Ordinate for which the function value should be computed.
      Returns:
        the value.

Copyright (c) 2003-2013 Apache Software Foundation